.formRechercheBien {
    padding: 2rem;
    background-color: var(--color-light);
    border: solid 1px var(--color-gray-light);
    border-radius: 25px;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.formRechercheBien>.top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

.formRechercheBien>.top>p:first-of-type {
    font-size: 0.875rem;
    font-weight: 700;
    letter-spacing: 1px;
    line-height: 1;
    text-transform: uppercase;
    color: var(--color-1);
}

.formRechercheBien>.top>p:last-of-type>a {
    font-size: 0.75rem;
    font-weight: 600;
    line-height: 1;
}

.formRechercheBien>form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.formRechercheBien>form>div {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.formRechercheBien>form>div>label {
    font-size: 0.688rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.formRechercheBien>form>div input {
    width: 100%;
    padding: 5px 10px;
    border: solid 1px var(--color-gray-light);
    border-radius: 10px;
}

.formRechercheBien>form>div.askSell {
    flex-direction: row;
}

.formRechercheBien>form>div.askSell input {
    width: fit-content;
}

.formRechercheBien>form>div>.budget {
    display: flex;
    justify-content: space-between;
    gap: 5px;
}

.formRechercheBien>form>div>div#form_nbre_chambres,
.formRechercheBien>form>div>div#form_nbre_personnes,
.formRechercheBien>form>div>div#form_arrondissements {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.formRechercheBien>form>div>div#form_nbre_chambres input,
.formRechercheBien>form>div>div#form_nbre_personnes input,
.formRechercheBien>form>div>div#form_arrondissements input {
    display: none;
}

.formRechercheBien>form>div>div#form_nbre_chambres label,
.formRechercheBien>form>div>div#form_nbre_personnes label,
.formRechercheBien>form>div>div#form_arrondissements label {
    min-width: 30px;
    display: flex;
    justify-content: center;
    font-size: 0.75rem;
    font-weight: 600;
    padding: 5px 10px;
    border: solid 1px var(--color-gray-light);
    color: var(--color-1);
    border-radius: 100px;
    cursor: pointer;
    transition: all 0.4s ease;
}

.formRechercheBien>form>div>div#form_arrondissements label {
    min-width: 40px;
    border-radius: 5px;
}

.formRechercheBien>form>div>div#form_nbre_chambres input:checked+label,
.formRechercheBien>form>div>div#form_nbre_personnes input:checked+label,
.formRechercheBien>form>div>div#form_arrondissements input:checked+label {
    background-color: var(--color-2);
    color: var(--color-light);
    border-color: var(--color-2);
}

.formRechercheBien>form>div>div#form_nbre_chambres label:hover,
.formRechercheBien>form>div>div#form_nbre_personnes label:hover,
.formRechercheBien>form>div>div#form_arrondissements label:hover {
    border-color: var(--color-2);
}

.formRechercheBien>form>div>button {
    width: 100%;
}

.formRechercheBien>form>div>button>span {
    justify-content: center;
}

.formRechercheBien .pop-up-arrondissements {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: all 0.4s ease;
    z-index: 50;
}

.formRechercheBien .pop-up-arrondissements.visible {
    opacity: 1;
    pointer-events: auto;
}

.formRechercheBien .pop-up-arrondissements .map-arond {
    background-color: var(--color-light);
    padding: 2rem;
    max-width: 800px;
    width: calc(100% - 2rem);
    margin-inline: auto;
}

@media (min-width: 1025px) {
    .formRechercheBien>.buttons {
        display: none;
    }
}

@media (max-width: 1024px) {
    .formRechercheBien {
        gap: 1rem;
        padding: 1rem;
    }

    .formRechercheBien>.buttons {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .formRechercheBien>form {
        overflow: hidden;
        max-height: 0;
        transition: all 0.4s ease;
    }

    .formRechercheBien>.buttons .btn-2 {
        display: none;
    }

    .formRechercheBien>.buttons .btn-1 span,
    .formRechercheBien>.buttons .btn-2 span {
        justify-content: center;
    }

    .formRechercheBien.visible>form {
        max-height: 1000px;
    }

    .formRechercheBien.visible>.buttons .btn-2 {
        display: block;
    }

    .formRechercheBien.visible>.buttons .btn-1 {
        display: none;
    }
}